# for fake packages:
%global __requires_exclude_from ^%{_datadir}/%{name}/fake_packages/
%global __provides_exclude_from ^%{_datadir}/%{name}/fake_packages/

Summary: Verify Perl code
Name: perl_checker
Version: 1.2.33
Release: %mkrel 2
License: GPLv2+
Group: Development/Perl
%ifarch %arm
# need ocamlrun
Requires: ocaml
%endif
URL: http://svn.mandriva.com/cgi-bin/viewvc.cgi/soft/perl_checker
Source0: perl_checker-%version.tar.xz
BuildRequires: ocaml
BuildRequires: perl_checker-fake_packages
Requires: perl_checker-fake_packages


%description
Various verifying scripts created for DrakX

%package fake_packages
Summary: Verify Perl code
BuildArch: noarch

%description fake_packages
This package contains various fake packages in order to be able to check calls
to some widely used modules that are not parsable by perl_checker.

%prep
%setup -q


%build
make

%install
%make_install

%check
# sanity control
for i in $(find fake_packages -name "*.pm"); do
    ./src/perl_checker --no-check-white-space $i
done

%files
%doc COPYING
%{_bindir}/*
%{_datadir}/vim/ftplugin/*
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/*

%files fake_packages
%{_datadir}/perl_checker



%changelog
* Mon Jul 10 2017 bb2 <bb2> - 1.2.33-2pclos2017
- rebuild against updates

